cloud-init - Hosts in softlayer receiving warning

Bug #1673637 reported by Jeff Dunham on 2017-03-17
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cloud-init
High
Unassigned
cloud-init (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
Zesty
Medium
Unassigned
Artful
Medium
Unassigned

Bug Description

=== Begin cloud-init SRU Template ===
[Impact]
Softlayer user datasource is undetected when only openstack/latest config-drive directory is provided (due to softlayer user-data being provided).

[Test Case]

For cloud-init, the easiest way to demonstrate this is to
create a lxc container and populate it with a '/config-drive' that only contains a openstack/latest path.

wget https://git.launchpad.net/~smoser/cloud-init/+git/sru-info/plain/bin/lxc-proposed-snapshot
chmod 755 lxc-proposed-snapshot
wget https://git.launchpad.net/~smoser/cloud-init/+git/sru-info/plain/tools/make-configdrive-dir
chmod 755 make-configdrive-dir
name=test-proposed

for release in xenial yaketty zesty; do
 ref=$release-proposed;
 ./lxc-proposed-snapshot --proposed --publish $release $ref;
 ./lxc init $ref $name;

## populate a /config-drive with attached 'make-configdrive-dir'
## and push it to the container

 d=$(mktemp -d)
 ./make-configdrive-dir "$d" "$name"
 rm -Rf "$d"
 lxc file pull $name/etc/cloud/cloud.cfg.d/90_dpkg.cfg - |
    sed 's/NoCloud, //' |
    lxc file push - $name/etc/cloud/cloud.cfg.d/90_dpkg.cfg;

 lxc start $name;
 sleep 10;
 lxc exec $name -- rm -rf /config-drive/openstack/2015-10-15/;
 lxc exec $name -- cp -r /config-drive /var/lib/cloud/seed/config_drive;
 lxc exec $name -- sudo DEBUG_LEVEL=2 DI_LOG=stderr /usr/lib/cloud-init/ds-identify --force 2>&1 | egrep 'latest|Found' ;

 # should produce config drive seeded directory had only 'latest'
done

[Regression Potential]
Minimal as this code is exercised for softlayer

[Other Info]
Related bugs:
 * bug 1689890: Unable to identify datasource in IBM Bluemix

=== End cloud-init SRU Template ===

Related branches

Scott Moser (smoser) wrote :

Hi, can you please collect the following from the system:

  /var/log/cloud-init.log
  /run/cloud-init/
  dmesg > dmesg.txt
  journalctl -o short-precise > journal.txt

Then, please run:
  sudo /usr/lib/ds-identify --force

And collect the (now updated) files:
  /run/cloud-init/cloud.cfg
  /run/cloud-init/ds-identify.log

Thank you.

Changed in cloud-init:
status: New → Incomplete
importance: Undecided → Medium
importance: Medium → High
Scott Moser (smoser) wrote :

Hi, and once you've done that, please set the status of the bug to 'Confirmed.
Thanks.

Scott Moser (smoser) wrote :

Jeff, Also, could you also let me know what cloud platform (OpenStack for example) that you're running on softlayer ? How did the NoCloud datasource get created?

Scott Moser (smoser) wrote :
Download full text (4.0 KiB)

I dug around some on this, and talked a bit to Robert Jennings who gave me some more info.
softlayer works to feed cloud-init a datasource in 2 ways
a.) /var/lib/cloud/seed/nocloud-net/ has data in it in the image.
    /etc/cloud/cloud.cfg.d/99_networklayer_common.cfg contained
    datasource_list: [ ConfigDrive, NoCloud ]

b.) if user provides metadata (or userdata) then a disk (xvdh1) is attached
    that has openstack config drive like data on it.

    of note here is that it contains *only* 'latest' as the version.

I really dont like that they provided the versioned information 'latest'.
I consider it a bug that cloud-init reads that at all.

The best way forward here is either:
 1.) modify the openstack datasource (and ds-identify) to consider this 'METADATA' disk to be a ConfigDrive. That will actually mean that Ubuntu images do not need the tricks they have to mount that disk over /var/lib/cloud/seed/config-drive and would also remove some possible race conditions there. What I don't like about this is that the word 'METADATA' is so generic, and ds-identify doesn't actually mount anything, meaning it could return true for this datasource on someone elses system that just happened to have a disk named METADATA.

 2.) create a specific datasource for softlayer that basically just does the above, but only in more specific scenario and not enabled by default.

Heres some information for my own reference later.

# sudo blkid
/dev/xvdh1: SEC_TYPE="msdos" LABEL="METADATA" UUID="681B-8C5D" TYPE="vfat" PARTUUID="3d631e09-01"
/dev/xvdb1: LABEL="SWAP-xvdb1" UUID="d51fcca0-6b10-4934-a572-f3898dfd8840" TYPE="swap" PARTUUID="00025cdb-01"
/dev/xvda1: LABEL="cloudimg-bootfs" UUID="85caed83-8815-4770-94b5-853ca2e03431" TYPE="ext3" PARTUUID="974bb19a-01"
/dev/xvda2: LABEL="cloudimg-rootfs" UUID="22ca45b9-13f2-481d-9251-0dd08d36eace" TYPE="ext4" PARTUUID="974bb19a-02"

# mount /dev/xvdh1 /mnt
# ( cd /mnt && for f in $(find * -type f); do echo == $f ==; cat $f; echo; done )
== meta.js ==
["#!\/bin\/sh\r\nssh-import-id smoser"]
== openstack/latest/user_data ==
#!/bin/sh
ssh-import-id smoser
== openstack/latest/meta_data.json ==
{"files":[[]],"network_config":{"content_path":"\/content\/interfaces"},"hostname":"smfoo2","name":"smfoo2","domain":"softlayer.brickies.net","meta":{"dsmode":"net"},"uuid":"f20e93bb-212e-2a17-6d70-c33dbf891c12"}
== openstack/content/interfaces ==
auto lo
iface lo inet loopback

auto eth0
allow-hotplug eth0
iface eth0 inet static
address 10.170.230.200
netmask 255.255.255.192
post-up route add -net 10.0.0.0 netmask 255.0.0.0 gw 10.170.230.193
post-up route add -net 161.26.0.0 netmask 255.255.0.0 gw 10.170.230.193

auto eth1
allow-hotplug eth1
iface eth1 inet static
address 169.45.206.71
netmask 255.255.255.240
gateway 169.45.206.65

# rm -f /run/cloud-init/ds-identify.log
# sudo DEBUG_LEVEL=3 /usr/lib/cloud-init/ds-identify --force
# cat /run/cloud-init/ds-identify.log
# cat /run/cloud-init/ds-identify.log
[up 11015.19s] ds-identify --force
policy loaded: mode=report report=false found=all maybe=all notfound=enabled
/etc/cloud/cloud.cfg.d/99_networklayer_common.cfg set datasource_list: [ ConfigDrive, NoCloud ]
DMI_PRODUCT_NAME...

Read more...

Changed in cloud-init:
status: Incomplete → Confirmed
Jeff Dunham (jadunham1) wrote :

Do you still need my logs or do you have enough?

Scott Moser (smoser) wrote :

I'm not sure what to do here.
I believe this is fixed in current trunk.
If you see this in any package versioned > 0.7.9-82-g0e2030ca-0ubuntu1 .

The fix that was put in place was just to specifically allow 'latest' in ds-identify.

There very well could be race conditions though on the mounting of that disk to /var/lib/cloud

Chris Brinker (chris-brinker) wrote :

I'm still seeing this behavior with recently created xenial machines running later versions:

$ dpkg -s cloud-init
Package: cloud-init
Status: install ok installed
Priority: extra
Section: admin
Installed-Size: 1455
Maintainer: Scott Moser <email address hidden>
Architecture: all
Version: 0.7.9-90-g61eb03fe-0ubuntu1~16.04.1

What can I contribute to help debug this persistent issue? I'm hesitant to suppress the warnings, but maybe that is the best course of action right now?

Thanks,
-Chris

Warning upon ssh login:
**************************************************************************
# A new feature in cloud-init identified possible datasources for #
# this system as: #
# ['Ec2', 'None'] #
# However, the datasource used was: NoCloud #
# #
# In the future, cloud-init will only attempt to use datasources that #
# are identified or specifically configured. #
# For more information see #
# https://bugs.launchpad.net/bugs/1669675 #
# #
# If you are seeing this message, please file a bug against #
# cloud-init at #
# https://bugs.launchpad.net/cloud-init/+filebug?field.tags=dsid #
# Make sure to include the cloud provider your instance is #
# running on. #
# #
# After you have filed a bug, you can disable this warning by launching #
# your instance with the cloud-config below, or putting that content #
# into /etc/cloud/cloud.cfg.d/99-warnings.cfg #
# #
# #cloud-config #
# warnings: #
# dsid_missing_source: off #
**************************************************************************

Chad Smith (chad.smith) on 2017-04-28
Changed in cloud-init (Ubuntu):
status: New → Fix Committed
Chad Smith (chad.smith) on 2017-05-04
description: updated
Scott Moser (smoser) on 2017-05-05
Changed in cloud-init (Ubuntu Xenial):
status: New → Confirmed
Changed in cloud-init (Ubuntu Yakkety):
status: New → Confirmed
Changed in cloud-init (Ubuntu Zesty):
status: New → Confirmed
Changed in cloud-init (Ubuntu Artful):
status: Fix Committed → Fix Released
Changed in cloud-init (Ubuntu Xenial):
importance: Undecided → Medium
Changed in cloud-init (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in cloud-init (Ubuntu Zesty):
importance: Undecided → Medium
Changed in cloud-init (Ubuntu Artful):
importance: Undecided → Medium

Hello Jeff, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-113-g513e99e0-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

Hello Jeff, or anyone else affected,

Accepted cloud-init into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-113-g513e99e0-0ubuntu1~16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Yakkety):
status: Confirmed → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Jeff, or anyone else affected,

Accepted cloud-init into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.9-113-g513e99e0-0ubuntu1~17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Zesty):
status: Confirmed → Fix Committed
Chad Smith (chad.smith) wrote :

Validated xenial properly discovers configdrive when only the "latest" subdir is present:
$ name=test-proposed
$ release=xenial
$ d=$(mktemp -d)
$ wget https://git.launchpad.net/~smoser/cloud-init/+git/sru-info/plain/tools/make-configdrive-dir
make-configdrive-di 100%[===================>] 1.66K --.-KB/s in 0s
$ chmod 755 make-configdrive-dir
 lxc init $ref $name
Creating test-proposed
$ ./make-configdrive-dir $d $name
config-drive/
config-drive/openstack/
config-drive/openstack/latest/
config-drive/openstack/latest/meta_data.json
config-drive/openstack/latest/vendor_data.json
config-drive/openstack/latest/user_data
config-drive/openstack/2015-10-15/
config-drive/openstack/2015-10-15/meta_data.json
config-drive/openstack/2015-10-15/vendor_data.json
config-drive/openstack/2015-10-15/user_data
$ rm -Rf $d
$ lxc file pull $name/etc/cloud/cloud.cfg.d/90_dpkg.cfg - | sed 's/NoCloud, //' | lxc file push - $name/etc/cloud/cloud.cfg.d/90_dpkg.cfg
$ lxc exec $name -- sudo DEBUG_LEVEL=2 DI_LOG=stderr /usr/lib/cloud-init/ds-identify --force 2>&1 | egrep 'latest|Found'
config drive seeded directory had only 'latest'
config drive seeded directory had only 'latest'
Found single datasource: ConfigDrive
$ lxc exec $name -- dpkg -l cloud-init
...
ii cloud-init 0.7.9-113-g5 all Init scripts for cloud instances

description: updated
tags: added: verification-done-xenial
Chad Smith (chad.smith) wrote :

Validated yakkety and zesty----
$ for release in yakkety zesty; do ref=$release-proposed; lxc init $ref $name; d=$(mktemp -d); ./make-configdrive-dir $d $name; rm -rf $d; lxc file pull $name/etc/cloud/cloud.cfg.d/90_dpkg.cfg - | sed 's/NoCloud, //' | lxc file push - $name/etc/cloud/cloud.cfg.d/90_dpkg.cfg; lxc start $name; sleep 10; lxc exec $name -- rm -rf /config-drive/openstack/2015-10-15/; lxc exec $name -- cp -r /config-drive /var/lib/cloud/seed/config_drive; lxc exec $name -- sudo DEBUG_LEVEL=2 DI_LOG=stderr /usr/lib/cloud-init/ds-identify --force 2>&1 | egrep 'latest|Found' ; lxc exec $name -- dpkg -l cloud-init; lxc exec $name -- grep VERSION= /etc/os-release; lxc stop $name; lxc delete $name; done;

Creating proposed-test
config-drive/
config-drive/openstack/
config-drive/openstack/latest/
config-drive/openstack/latest/meta_data.json
config-drive/openstack/latest/vendor_data.json
config-drive/openstack/latest/user_data
config-drive/openstack/2015-10-15/
config-drive/openstack/2015-10-15/meta_data.json
config-drive/openstack/2015-10-15/vendor_data.json
config-drive/openstack/2015-10-15/user_data
config drive seeded directory had only 'latest'
config drive seeded directory had only 'latest'
Found single datasource: ConfigDrive
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii cloud-init 0.7.9-113-g5 all Init scripts for cloud instances
VERSION="16.10 (Yakkety Yak)"
Creating proposed-test
config-drive/
config-drive/openstack/
config-drive/openstack/latest/
config-drive/openstack/latest/meta_data.json
config-drive/openstack/latest/vendor_data.json
config-drive/openstack/latest/user_data
config-drive/openstack/2015-10-15/
config-drive/openstack/2015-10-15/meta_data.json
config-drive/openstack/2015-10-15/vendor_data.json
config-drive/openstack/2015-10-15/user_data
config drive seeded directory had only 'latest'
config drive seeded directory had only 'latest'
Found single datasource: ConfigDrive
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii cloud-init 0.7.9-113-g5 all Init scripts for cloud instances
VERSION="17.04 (Zesty Zapus)"

tags: added: verification-done-yakkety verification-done-zesty
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.9-113-g513e99e0-0ubuntu1~16.04.1

---------------
cloud-init (0.7.9-113-g513e99e0-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration. [Jon Grimm]
    - Fix examples that reference upstream chef repository. [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <email address hidden> Thu, 27 Apr 2017 12:51:04 -0400

Changed in cloud-init (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.9-113-g513e99e0-0ubuntu1~16.10.1

---------------
cloud-init (0.7.9-113-g513e99e0-0ubuntu1~16.10.1) yakkety; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration. [Jon Grimm]
    - Fix examples that reference upstream chef repository. [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <email address hidden> Thu, 27 Apr 2017 13:38:40 -0400

Changed in cloud-init (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.9-113-g513e99e0-0ubuntu1~17.04.1

---------------
cloud-init (0.7.9-113-g513e99e0-0ubuntu1~17.04.1) zesty; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration. [Jon Grimm]
    - Fix examples that reference upstream chef repository. [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <email address hidden> Thu, 27 Apr 2017 15:09:31 -0400

Changed in cloud-init (Ubuntu Zesty):
status: Fix Committed → Fix Released
Scott Moser (smoser) on 2017-05-25
Changed in cloud-init:
status: Confirmed → Fix Committed
description: updated

This bug is believed to be fixed in cloud-init in 17.1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in cloud-init:
status: Fix Committed → Fix Released
tags: added: id-58cc1e3bea5b5c7f55e04e65
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers